Bug 15378 - Remove 'lost' items from course reserves
Summary: Remove 'lost' items from course reserves
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Course reserves (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Josef Moravec
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-12-15 14:16 UTC by Nick Clemens
Modified: 2018-06-04 20:15 UTC (History)
7 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 15378: Allow removal of lost items from course reserves (2.28 KB, patch)
2017-10-12 16:40 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15378: Allow removal of lost items from course reserves (2.48 KB, patch)
2017-10-13 12:52 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 15378: Allow removal of lost items from course reserves (2.52 KB, patch)
2018-01-02 11:20 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2015-12-15 14:16:59 UTC
Currently lost items cannot be removed from course reserves.  It should be possible to remove these from a course without deleting the item.
Comment 1 Owen Leonard 2016-07-12 15:58:23 UTC
I'm working on a cosmetic change to this template, and it looks like the prevention of lost item removal is controlled by template logic. It doesn't appear that there is any real problem removing lost items from course reserves.

Kyle, if you could confirm that there isn't an unseen side effect of removing lost items I will submit a patch enabling it.
Comment 2 Séverine Queune 2017-09-11 15:09:29 UTC
The BULAC (http://www.bulac.fr/) would like to sponsore this development.

Nick, Kyle, did you work further on the patch ?

As long as “Change sponsored?” is set on “Seeking developer”, anyone wanting to quote us for the development of such a feature or just ask for more information is welcome to write to us: <sigb@bulac.fr>.
Comment 3 Jonathan Druart 2017-10-12 16:40:09 UTC
Created attachment 68033 [details] [review]
Bug 15378: Allow removal of lost items from course reserves

It seems that this restriction is not necessary, it should be possible
to remove lost items from course reserves.

Test plan:
Create a course and add reserve with a lost item

=> Without this patch the "Remove" button is disabled and the item
cannot be removed from the course
=> With this patch applied the button is enable and the item can be
removed
Comment 4 sandboxes@biblibre.com 2017-10-13 12:52:11 UTC
Patch tested with a sandbox, by Séverine QUEUNE <severine.queune@bulac.fr>
Comment 5 sandboxes@biblibre.com 2017-10-13 12:52:32 UTC
Created attachment 68071 [details] [review]
Bug 15378: Allow removal of lost items from course reserves

It seems that this restriction is not necessary, it should be possible
to remove lost items from course reserves.

Test plan:
Create a course and add reserve with a lost item

=> Without this patch the "Remove" button is disabled and the item
cannot be removed from the course
=> With this patch applied the button is enable and the item can be
removed

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 6 Séverine Queune 2017-10-13 12:52:54 UTC
Items can now be removed of a course reserve applying this patch.
The value of lost status is untouched.
Thanks Jonathan !
Comment 7 Josef Moravec 2018-01-02 11:20:36 UTC
Created attachment 70225 [details] [review]
Bug 15378: Allow removal of lost items from course reserves

It seems that this restriction is not necessary, it should be possible
to remove lost items from course reserves.

Test plan:
Create a course and add reserve with a lost item

=> Without this patch the "Remove" button is disabled and the item
cannot be removed from the course
=> With this patch applied the button is enable and the item can be
removed

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 8 Jonathan Druart 2018-01-02 15:12:40 UTC
Pushed to master for 18.05, thanks to everybody involved!